
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品评论VO
 *
 * @author YXF
 * @date 2021-01-11 13:47:33
 */
public class SpuCommVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "ID")
    private Long spuCommId;

    @Schema(description = "商品ID")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "店铺ID")
    private Long shopId;

    @Schema(description = "订单项ID")
    private Long orderItemId;

    @Schema(description = "评论用户ID")
    private Long userId;

    @Schema(description = "评论内容")
    private String content;

    @Schema(description = "掌柜回复")
    private String replyContent;

    @Schema(description = "记录时间")
    private Date createTime;

    @Schema(description = "回复时间")
    private Date replyTime;

    @Schema(description = "是否回复 0:未回复  1:已回复")
    private Integer replySts;

    @Schema(description = "IP来源")
    private String postip;

    @Schema(description = "商品得分，1-5分")
    private Integer score;

    @Schema(description = "店铺评分 1-5分")
    private Integer storeScore;

    @Schema(description = "物流评分 1-5分")
    private Integer logisticsScore;

    @Schema(description = "有用的计数")
    private Integer usefulCounts;

    @Schema(description = "晒图的json字符串")
    private String pics;

    @Schema(description = "是否匿名(1:是  0:否)")
    private Integer isAnonymous;

    @Schema(description = "评价(0好评 1中评 2差评)")
    private Integer evaluate;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "用户头像")
    private String userPic;

    @Schema(description = "商品图片")
    private String spuImg;

    @Schema(description = "商品规格")
    private String skuName;

    @Schema(description = "成交时间")
    private Date transactionTime;

    @Schema(description = "用户是否注销了")
    private Boolean isWriteOff;

    public Boolean getIsWriteOff() {
        return isWriteOff;
    }

    public void setIsWriteOff(Boolean writeOff) {
        this.isWriteOff = writeOff;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Date getTransactionTime() {
        return transactionTime;
    }

    public void setTransactionTime(Date transactionTime) {
        this.transactionTime = transactionTime;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Long getSpuCommId() {
        return spuCommId;
    }

    public void setSpuCommId(Long spuCommId) {
        this.spuCommId = spuCommId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getReplyTime() {
        return replyTime;
    }

    public void setReplyTime(Date replyTime) {
        this.replyTime = replyTime;
    }

    public Integer getReplySts() {
        return replySts;
    }

    public void setReplySts(Integer replySts) {
        this.replySts = replySts;
    }

    public String getPostip() {
        return postip;
    }

    public void setPostip(String postip) {
        this.postip = postip;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getStoreScore() {
        return storeScore;
    }

    public void setStoreScore(Integer storeScore) {
        this.storeScore = storeScore;
    }

    public Integer getLogisticsScore() {
        return logisticsScore;
    }

    public void setLogisticsScore(Integer logisticsScore) {
        this.logisticsScore = logisticsScore;
    }

    public Integer getUsefulCounts() {
        return usefulCounts;
    }

    public void setUsefulCounts(Integer usefulCounts) {
        this.usefulCounts = usefulCounts;
    }

    public String getPics() {
        return pics;
    }

    public void setPics(String pics) {
        this.pics = pics;
    }

    public Integer getIsAnonymous() {
        return isAnonymous;
    }

    public void setIsAnonymous(Integer isAnonymous) {
        this.isAnonymous = isAnonymous;
    }

    public Integer getEvaluate() {
        return evaluate;
    }

    public void setEvaluate(Integer evaluate) {
        this.evaluate = evaluate;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserPic() {
        return userPic;
    }

    public void setUserPic(String userPic) {
        this.userPic = userPic;
    }

    public String getSpuImg() {
        return spuImg;
    }

    public void setSpuImg(String spuImg) {
        this.spuImg = spuImg;
    }


    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    @Override
    public String toString() {
        return "SpuCommVO{" +
                "spuCommId=" + spuCommId +
                ", spuId=" + spuId +
                ", spuName='" + spuName + '\'' +
                ", shopId=" + shopId +
                ", orderItemId=" + orderItemId +
                ", userId=" + userId +
                ", content='" + content + '\'' +
                ", replyContent='" + replyContent + '\'' +
                ", createTime=" + createTime +
                ", replyTime=" + replyTime +
                ", replySts=" + replySts +
                ", postip='" + postip + '\'' +
                ", score=" + score +
                ", storeScore=" + storeScore +
                ", logisticsScore=" + logisticsScore +
                ", usefulCounts=" + usefulCounts +
                ", pics='" + pics + '\'' +
                ", isAnonymous=" + isAnonymous +
                ", evaluate=" + evaluate +
                ", nickName='" + nickName + '\'' +
                ", userPic='" + userPic + '\'' +
                ", spuImg='" + spuImg + '\'' +
                ", skuName='" + skuName + '\'' +
                ", transactionTime=" + transactionTime +
                ", isWriteOff=" + isWriteOff +
                '}';
    }
}
